=== tests/manual/cylinder-parent-test/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from cylinder-parent-test.pro.

#####################################################################
## cylinder-parent-test Binary:
#####################################################################

qt_internal_add_manual_test(cylinder-parent-test
    GUI
    SOURCES
        main.cpp
    LIBRARIES
        Qt::3DCore
        Qt::3DExtras
        Qt::3DInput
        Qt::3DRender
        Qt::Gui
)

## Scopes:
#####################################################################
